APICenter
DocsBuildLearn
APIs & SDKs/APICenter REST API/Get a Customer

Get a Customer

GEThttps://api.apicenter.itsandbox.site/api/v1/payments/customers/{customerId}

Perform Get a Customer operation on APICenter platform.

TShttps://api.apicenter.itsandbox.site/api/v1/payments/customers/{customerId}
// Replace the path placeholders with your resource identifiers.
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/customers/{customerId}", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.

Authentication

AuthorizationAPICenterApiKey

Authorization: Bearer <PAYMENT_API_KEY>. Use the consumer's payment API key. or Registered APICenter service JWT with gateway-enforced scopes.

Path parameters

customerIdstringRequired

The unique customerId identifier.

Response

200Customer
successbooleanRequired
dataobjectRequired

Errors

TShttps://api.apicenter.itsandbox.site/api/v1/payments/customers/{customerId}
// Replace the path placeholders with your resource identifiers.
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/customers/{customerId}", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.